% !TEX root = main.tex
% !TEX program = lualatex
% !BIB program = biber

\input{preamble}

\title{Thesis Title}
\author{Firstname Lastname}
\date{\today} % TODO use \formatdate{dd}{mm}{yyyy} instead of \today

\newcommand\titlegerman{Titel der Arbeit}
\newcommand\studentid{000000}
\newcommand\degree{Bachelor}
\newcommand\institute{Institute~for~Something}
\newcommand\institutegerman{Institut~für~Irgendetwas}
\newcommand\supervisor{Internal Supervisor M. Sc.}
\newcommand\firstexaminer{Univ.-Prof. Dr. First Examiner}
\newcommand\secondexaminer{Dr. Second Examiner}


\begin{document}

  \frontmatter
  \include{pages/titlepage}
  \include{pages/abstract}
  \tableofcontents
  
  \mainmatter
  \include{chapters/introduction}
  \include{chapters/somechapter}
  \include{chapters/conclusion}
  
  \appendix
  \include{chapters/appendix}
  
  \backmatter
  \printnoidxglossary[title={List of Acronyms}]
  \listoffigures
  \listoftables
  \printbibliography[title={List of References}, heading=bibintoc]
  \listoftodos[List of TODOs]

\end{document}